<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ParticleData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_particle_data.html">ParticleData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_particle_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ParticleData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_particle_data_8h_source.html">ParticleData.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for eic::ParticleData:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_particle_data__coll__graph.png" border="0" usemap="#eic_1_1_particle_data_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_particle_data_coll__map" id="eic_1_1_particle_data_coll__map">
<area shape="rect" id="node2" href="classeic_1_1_vector_px_py_pz_m.html" title="eic::VectorPxPyPzM" alt="" coords="5,5,149,32"/>
<area shape="rect" id="node3" href="classeic_1_1_vector_x_y_z_t.html" title="eic::VectorXYZT" alt="" coords="174,5,293,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa0837a1373761dfcdbcea25058e7ae34"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_data.html#aa0837a1373761dfcdbcea25058e7ae34">p</a></td></tr>
<tr class="memdesc:aa0837a1373761dfcdbcea25058e7ae34"><td class="mdescLeft">&#160;</td><td class="mdescRight">Four momentum.  <a href="#aa0837a1373761dfcdbcea25058e7ae34">More...</a><br /></td></tr>
<tr class="separator:aa0837a1373761dfcdbcea25058e7ae34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1ca2720f06365a32f2cb341881c0024"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_data.html#ae1ca2720f06365a32f2cb341881c0024">v</a></td></tr>
<tr class="memdesc:ae1ca2720f06365a32f2cb341881c0024"><td class="mdescLeft">&#160;</td><td class="mdescRight">vertex.  <a href="#ae1ca2720f06365a32f2cb341881c0024">More...</a><br /></td></tr>
<tr class="separator:ae1ca2720f06365a32f2cb341881c0024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61c1b52dc98b60570d69b72547d2aae2"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_data.html#a61c1b52dc98b60570d69b72547d2aae2">pid</a></td></tr>
<tr class="memdesc:a61c1b52dc98b60570d69b72547d2aae2"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classeic_1_1_particle.html">Particle</a> type identification code.  <a href="#a61c1b52dc98b60570d69b72547d2aae2">More...</a><br /></td></tr>
<tr class="separator:a61c1b52dc98b60570d69b72547d2aae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c4388b87bb96a0a4bdbbaa824e1db58"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_particle_data.html#a2c4388b87bb96a0a4bdbbaa824e1db58">status</a></td></tr>
<tr class="memdesc:a2c4388b87bb96a0a4bdbbaa824e1db58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status code.  <a href="#a2c4388b87bb96a0a4bdbbaa824e1db58">More...</a><br /></td></tr>
<tr class="separator:a2c4388b87bb96a0a4bdbbaa824e1db58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Basic <a class="el" href="classeic_1_1_particle.html">Particle</a> used for reconstructed and generated particles </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_particle_data_8h_source.html#l00016">16</a> of file <a class="el" href="_particle_data_8h_source.html">ParticleData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="aa0837a1373761dfcdbcea25058e7ae34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0837a1373761dfcdbcea25058e7ae34">&#9670;&nbsp;</a></span>p</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classeic_1_1_vector_px_py_pz_m.html">eic::VectorPxPyPzM</a> eic::ParticleData::p</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Four momentum. </p>

<p class="definition">Definition at line <a class="el" href="_particle_data_8h_source.html#l00018">18</a> of file <a class="el" href="_particle_data_8h_source.html">ParticleData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">eic::ConstParticle::ConstParticle()</a>, <a class="el" href="_particle_const_8cc_source.html#l00053">eic::ConstParticle::m()</a>, <a class="el" href="_particle_8cc_source.html#l00055">eic::Particle::m()</a>, <a class="el" href="_particle_const_8cc_source.html#l00049">eic::ConstParticle::p()</a>, <a class="el" href="_particle_8cc_source.html#l00051">eic::Particle::p()</a>, <a class="el" href="_particle_8cc_source.html#l00020">eic::Particle::Particle()</a>, <a class="el" href="_particle_const_8cc_source.html#l00050">eic::ConstParticle::px()</a>, <a class="el" href="_particle_8cc_source.html#l00052">eic::Particle::px()</a>, <a class="el" href="_particle_const_8cc_source.html#l00051">eic::ConstParticle::py()</a>, <a class="el" href="_particle_8cc_source.html#l00053">eic::Particle::py()</a>, <a class="el" href="_particle_const_8cc_source.html#l00052">eic::ConstParticle::pz()</a>, and <a class="el" href="_particle_8cc_source.html#l00054">eic::Particle::pz()</a>.</p>

</div>
</div>
<a id="a61c1b52dc98b60570d69b72547d2aae2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61c1b52dc98b60570d69b72547d2aae2">&#9670;&nbsp;</a></span>pid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::ParticleData::pid</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="classeic_1_1_particle.html">Particle</a> type identification code. </p>

<p class="definition">Definition at line <a class="el" href="_particle_data_8h_source.html#l00020">20</a> of file <a class="el" href="_particle_data_8h_source.html">ParticleData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">eic::ConstParticle::ConstParticle()</a>, <a class="el" href="_particle_8cc_source.html#l00020">eic::Particle::Particle()</a>, <a class="el" href="_particle_const_8cc_source.html#l00059">eic::ConstParticle::pid()</a>, and <a class="el" href="_particle_8cc_source.html#l00061">eic::Particle::pid()</a>.</p>

</div>
</div>
<a id="a2c4388b87bb96a0a4bdbbaa824e1db58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c4388b87bb96a0a4bdbbaa824e1db58">&#9670;&nbsp;</a></span>status</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::ParticleData::status</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Status code. </p>

<p class="definition">Definition at line <a class="el" href="_particle_data_8h_source.html#l00021">21</a> of file <a class="el" href="_particle_data_8h_source.html">ParticleData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">eic::ConstParticle::ConstParticle()</a>, <a class="el" href="_particle_8cc_source.html#l00020">eic::Particle::Particle()</a>, <a class="el" href="_particle_const_8cc_source.html#l00060">eic::ConstParticle::status()</a>, and <a class="el" href="_particle_8cc_source.html#l00062">eic::Particle::status()</a>.</p>

</div>
</div>
<a id="ae1ca2720f06365a32f2cb341881c0024"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1ca2720f06365a32f2cb341881c0024">&#9670;&nbsp;</a></span>v</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a> eic::ParticleData::v</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>vertex. </p>

<p class="definition">Definition at line <a class="el" href="_particle_data_8h_source.html#l00019">19</a> of file <a class="el" href="_particle_data_8h_source.html">ParticleData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_particle_const_8cc_source.html#l00020">eic::ConstParticle::ConstParticle()</a>, <a class="el" href="_particle_8cc_source.html#l00020">eic::Particle::Particle()</a>, <a class="el" href="_particle_const_8cc_source.html#l00058">eic::ConstParticle::t()</a>, <a class="el" href="_particle_8cc_source.html#l00060">eic::Particle::t()</a>, <a class="el" href="_particle_const_8cc_source.html#l00054">eic::ConstParticle::v()</a>, <a class="el" href="_particle_8cc_source.html#l00056">eic::Particle::v()</a>, <a class="el" href="_particle_const_8cc_source.html#l00055">eic::ConstParticle::x()</a>, <a class="el" href="_particle_8cc_source.html#l00057">eic::Particle::x()</a>, <a class="el" href="_particle_const_8cc_source.html#l00056">eic::ConstParticle::y()</a>, <a class="el" href="_particle_8cc_source.html#l00058">eic::Particle::y()</a>, <a class="el" href="_particle_const_8cc_source.html#l00057">eic::ConstParticle::z()</a>, and <a class="el" href="_particle_8cc_source.html#l00059">eic::Particle::z()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_particle_data_8h_source.html">ParticleData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
